.as-color-picker-button {
    width: 45px;
    height: 30px;
    border-radius: 3px;
    border: 1px solid #d6d6d6;
    background-color: transparent;
    padding: 5px;
    outline: none;
    box-sizing: border-box;
}

.as-color-picker-button[data-size="small"] {
    height: var(--small-size);
    border-radius: var(--small-radius);
}

.as-color-picker-button[data-size="regular"] {
    height: var(--default-size);
    border-radius: var(--default-radius);
}

.as-color-picker-button[data-size="large"] {
    height: var(--large-size);
    border-radius: var(--large-radius);
}


.as-color-picker-button-inner {
    height: 100%;
    width: 100%;
    background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAQAAAAECAIAAAAmkwkpAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAAaSURBVBhXYzh8+PD///8hJAOcBSRxyRw+DABJUCox2kjvSgAAAABJRU5ErkJggg==');
    background-size: 1.5em;
    image-rendering: optimizeSpeed;
    /* STOP SMOOTHING, GIVE ME SPEED  */
    image-rendering: -moz-crisp-edges;
    /* Firefox                        */
    image-rendering: -o-crisp-edges;
    /* Opera                          */
    image-rendering: -webkit-optimize-contrast;
    /* Chrome (and eventually Safari) */
    image-rendering: pixelated;
    /* Chrome */
    image-rendering: optimize-contrast;
    /* CSS3 Proposed                  */
    -ms-interpolation-mode: nearest-neighbor;
    /* IE8+                           */
}

.as-color-picker-button-inner-value {
    width: 100%;
    height: 100%;
}

.as-color-picker-button-fol {
    z-index: 1000;
}

.as-color-picker-button[data-mode="HEX6"] .as-null .as-color-cell-value {
    display: none;
}

.as-color-picker-button.as-border-none {
    border: none;
}

.as-select-color-scheme-menu-dropdown {
    font-size: 14px;
    padding: 5px;
}

.as-select-color-scheme-menu {
    box-sizing: border-box;
    padding-right: 30px;
    padding-left: 5px;
}

.as-select-color-scheme-menu::before {
    content: "";
    display: inline-block;
    vertical-align: middle;
    height: 100%;
}

.as-select-color-scheme-menu-selected-item {
    display: inline-block;
    vertical-align: middle;
}

.as-select-color-scheme-menu-selected-item .as-scsm-item-cell {
    width: 20px;
    height: 20px;
}

.as-scsm-item-list-row {
    white-space: nowrap;
}

.as-scsm-item-wrapper {
    display: inline-block;
    vertical-align: top;
    padding: 7px;
}

.as-scsm-item {

    border-radius: 4px;
    overflow: hidden;
    box-sizing: border-box;
}

.as-scsm-item-wrapper:hover .as-scsm-item:not(.as-selected) {
    box-shadow: 0px 0px 0px 2px rgba(107, 159, 255, 0.5);
}

.as-scsm-item.as-selected {
    box-shadow: 0px 0px 0px 2px #1464f6;
}

.as-scsm-item-row {
    white-space: nowrap;
}

.as-scsm-item-cell {
    width: 1.2em;
    height: 1.2em;
    display: inline-block;
    vertical-align: top;
}